summaryrefslogtreecommitdiffstats
path: root/gettext-tools/tests/msgmerge-11
diff options
context:
space:
mode:
Diffstat (limited to 'gettext-tools/tests/msgmerge-11')
-rwxr-xr-xgettext-tools/tests/msgmerge-1183
1 files changed, 83 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgmerge-11 b/gettext-tools/tests/msgmerge-11
new file mode 100755
index 0000000..0ab0c91
--- /dev/null
+++ b/gettext-tools/tests/msgmerge-11
@@ -0,0 +1,83 @@
+#! /bin/sh
+
+# Test multi-domain handling.
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles foo.po"
+cat <<\EOF > foo.po
+domain "foo-de"
+msgid ""
+msgstr "Content-Type: text/plain; charset=ISO-8859-1\n"
+
+# Das ist ein Kommentar.
+msgid "hello"
+msgstr "Hallo"
+
+# Noch einer.
+msgid "bye"
+msgstr "Tschüß"
+
+domain "foo-fr"
+msgid ""
+msgstr "Content-Type: text/plain; charset=ISO-8859-1\n"
+
+# Ceci est un commentaire.
+msgid "hello"
+msgstr "Salut"
+
+# Encore un.
+msgid "bye"
+msgstr "A bientôt"
+EOF
+
+tmpfiles="$tmpfiles foo.pot"
+cat <<EOF > foo.pot
+msgid "Hello"
+msgstr ""
+EOF
+
+tmpfiles="$tmpfiles foo.out"
+: ${MSGMERGE=msgmerge}
+${MSGMERGE} --multi-domain -q foo.po foo.pot -o foo.out
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+tmpfiles="$tmpfiles foo.ok"
+cat <<\EOF > foo.ok
+domain "foo-de"
+
+msgid ""
+msgstr "Content-Type: text/plain; charset=ISO-8859-1\n"
+
+# Das ist ein Kommentar.
+#, fuzzy
+msgid "Hello"
+msgstr "Hallo"
+
+# Noch einer.
+#~ msgid "bye"
+#~ msgstr "Tschüß"
+
+domain "foo-fr"
+
+msgid ""
+msgstr "Content-Type: text/plain; charset=ISO-8859-1\n"
+
+# Ceci est un commentaire.
+#, fuzzy
+msgid "Hello"
+msgstr "Salut"
+
+# Encore un.
+#~ msgid "bye"
+#~ msgstr "A bientôt"
+EOF
+
+: ${DIFF=diff}
+${DIFF} foo.ok foo.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result